os.run = os.run
os.sleep = os.sleep

function table.slice(tbl, first, last)
	local result = {}
	for i = first or 1, last or #tbl do
		result[#result + 1] = tbl[i]
	end
	return result
end

local program = ...
local args = table.slice(arg, 1)

local function main()
	if program == nil then
		print("Usage: autorun <program> [...args]")
		return
	end

	local i = 0
	while true do
		i = i + 1
		os.run({}, "/update", program)
		os.run({}, program, table.unpack(args))
		print("autorun", i)
		os.sleep(1)
	end
end

main()
